Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# ClassIdC Class Reference

Plugin Class ID. More...

`#include <ClassIdC.h>`

List of all members.

## Public Member Functions
| ClassIdC ()
| Default constructor, assigns each number to zero (NULL class ID).
| ClassIdC (PajaTypes::uint32 ui32ClassA, PajaTypes::uint32 ui32ClassB)
| Creates a new class ID with the values assigned from the arguments.
| ClassIdC (const ClassIdC &rClassId)
| Copy constructor, creates a new class ID with the same values as the argument.
virtual | ~ClassIdC ()
| Default Destructor.
PajaTypes::uint32 | get_class_a () const
| Returns the first part of the class ID.
PajaTypes::uint32 | get_class_b () const
| Returns the second part of the class ID.
bool | operator== (const ClassIdC &rClassId) const
| Returns true if the class IDs are equal, else false.
bool | operator!= (const ClassIdC &rClassId) const
| Returns true if the class IDs are non-equal, else false.
ClassIdC & | operator= (const ClassIdC &rClassId)
| Copy operator.

## Detailed Description

Plugin Class ID.

This class represents the unique class ID for a Demopaja plugin class. A Class ID consists of two 32-bit numbers. The class ID must be unique, since plugin classes are identified by it. To avoid any conflicts always generate random class ID for each plugin class you use. You should use the Class ID generator (classidgen.exe) provided with this documentation. A class ID with two zero numbers is a NULL class ID, and is not a valid ID.

Class IDs which has zero first (A) part are reserved to be used only by the Demopaja development team. If you use one of the sample plugins as basis of your own plugin remember to change the class IDs!

This class is implemented by the system.

## Constructor & Destructor Documentation

ClassIdC | ( |  | ) |

| Default constructor, assigns each number to zero (NULL class ID).

ClassIdC | ( | PajaTypes::uint32 | ui32ClassA,
|  | PajaTypes::uint32 | ui32ClassB
| ) |

| Creates a new class ID with the values assigned from the arguments.

ClassIdC | ( | const ClassIdC & | rClassId | ) |

| Copy constructor, creates a new class ID with the same values as the argument.

virtual ~ClassIdC | ( |  | ) | `[virtual]`

| Default Destructor.

## Member Function Documentation

PajaTypes::uint32 get_class_a | ( |  | ) | const

| Returns the first part of the class ID.

PajaTypes::uint32 get_class_b | ( |  | ) | const

| Returns the second part of the class ID.

bool operator!= | ( | const ClassIdC & | rClassId | ) | const

| Returns true if the class IDs are non-equal, else false.

ClassIdC& operator= | ( | const ClassIdC & | rClassId | ) |

| Copy operator.

bool operator== | ( | const ClassIdC & | rClassId | ) | const

| Returns true if the class IDs are equal, else false.